#!/usr/bin/env python3
# encoding: utf-8
# === openmamba-postinstall module for Calamares - <http://github.com/calamares> ===
#
#   Copyright 2015, Silvan Calarco <silvan.calarco@mambasoft.it>
#

import libcalamares


def run():
    """ Complete setup after openmamba installation  """

    # fix root path ('/') permissions
    libcalamares.utils.chroot_call(['chmod', '0755', '/'])

    # create user home
    username = libcalamares.globalstorage.value("username")

    libcalamares.utils.chroot_call(['chroot', 'cp', '-a', '/etc/skel', '/home/' . username ])
    libcalamares.utils.chroot_call(['chroot', 'chmod', '0711', '/home/' . username ])
    libcalamares.utils.chroot_call(['chroot', 'mkdir', '-p', '/home/' . username . '/.config/autostart' ])
    libcalamares.utils.chroot_call(['chroot', 'ln', '-s', '/usr/share/openmamba/mambabase/mambabase-autostart.desktop',
                                    '/home/' . username . '/.config/autostart/mambabase.desktop' ])
    libcalamares.utils.chroot_call(['chroot', 'chown', '-R ', username . '.users', '/home/' . username ])
    libcalamares.utils.chroot_call(['chroot', 'chown', '-R ', username . '.users', '/home/' . username . '/.config' ])

    return None
